# $Revision: 1.11 $, $Date: 2005/02/23 18:52:45 $

%define		module	linda

Summary:	Simple Python implementation of a linda system
Summary(pl):	Prosta implementacja systemu linda w Pythonie
Name:		python-%{module}
Version:	0.4
Release:	1
License:	LGPL
Group:		Libraries/Python
Source0:	http://www-users.cs.york.ac.uk/~aw/pylinda/dist/%{module}-%{version}.tar.gz
# Source0-md5:	a6cda49e64e7d247e3f11939646e18d0
URL:		http://www-users.cs.york.ac.uk/~aw/pylinda
BuildRequires:	python-devel >= 1:2.3
Requires:	python >= 2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Linda is an widely studied distributed computing environment, centered
around the notion of a tuple space. A tuple space is a bag (also
called a multi-set) of tuples. A tuple is an ordered, typed chunk of
data. Tuple spaces exist independently of processes in the system, and
the data placed into a tuple space also exist independently. See
"Generative communication in Linda" (1985) and "Multiple tuple spaces
in Linda" both by David Gelernter for more information on Linda.

PyLinda is a simple implementation of a linda system, however it also
includes several of the more recently proposed extensions to Linda in
the form of multiple tuple spaces, garbage collection, sane
non-blocking primitives and bulk tuple operations.

This package contains pylinda libraries, which are necessary for running
pylinda servers and developing client programs.

%description -l pl
Linda jest poddawanym gbokiej analizie rodowiskiem komputerowego
przetwarzania danych, skupiajcym si na notacji przestrzeni krotek.
Przestrze krotek jest zbiorem (a waciwie - multizbiorem) krotek.
Krotka jest uporzdkowanym i utypowionym zestawem danych. Przestrzenie
krotek istniej w systemie niezalenie od procesw, a dane umieszczone
w przestrzeni krotek take s niezalene od procesw. Wicej
informacji mona znale w dzieach "Generative communication in
Linda" (1985) i "Multiple tuple spaces in Linda" autorstwa Davida
Gelerntera.

PyLinda jest prost implementacj rodowiska Linda. Pomimo swojej
prostoty zawiera jednak pewn liczb najczciej spotykanych rozszerze
Lindy, takich jak wielokrotne przestrzenie krotek, odmiecanie
pamici, rozsdnie zaprojektowane nieblokujce operacje pierwotne oraz
ca mas zoonych operacji na krotkach.

Ten pakiet zawiera biblioteki pakietu pylinda, niezbdne do
uruchomienia serwerw oraz rozwijania programw klienckich pylindy.

%package -n pylinda-server
Summary:	Server program for pylinda computing environment
Summary(pl):	Program serwera rodowiska pylinda
Group:		Applications/Science
Requires:	%{name} = %{version}-%{release}

%description -n pylinda-server
This package contains server program for pylinda computing
environment.

%description -n pylinda-server -l pl
Program serwera rodowiska pylinda.

%package doc
Summary:	Documentation for pylinda computing environment
Summary(pl):	Dokumentcja rodowiska pylinda
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation files for pylinda computing
environment.

%description doc -l pl
Pakiet zawierajcy dokumentacj rodowiska pylinda.

%package examples
Summary:	Example programs for pylinda computing environment
Summary(pl):	Programy przykadowe do rodowiska pylinda
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for pylinda computing
environment.

%description examples -l pl
Pakiet zawierajcy programy przykadowe do rodowiska pylinda.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_examplesdir}/%{name}-%{version},%{_bindir}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitedir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitedir} -name \*.py -exec rm {} \;

cp -ar examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a linda_server.py $RPM_BUILD_ROOT%{_bindir}

rm -rf $RPM_BUILD_ROOT%{_datadir}/pylinda

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{py_sitedir}/linda

%files doc
%defattr(644,root,root,755)
%doc doc/html/*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%files -n pylinda-server
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/linda_server.py

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-linda.spec,v $
Revision 1.11  2005/02/23 18:52:45  wrobell
- ver. 0.4 (shm is removed - unix domain sockets are used instead)

Revision 1.10  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.9  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.8  2004/07/03 07:19:27  zboczuch
- patch is no longer needed

Revision 1.7  2004/07/03 07:17:59  zboczuch
- version 0.3
- moved to sitedir because of shm.so file
- no noarch

Revision 1.6  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.5  2004/05/20 16:28:33  zboczuch
- canonical form (see thread for prevoius commit on pld-devel-pl)

Revision 1.4  2004/05/20 14:31:32  qboosh
- typos, linda_server attr

Revision 1.3  2004/05/20 14:28:26  zboczuch
- typos

Revision 1.2  2004/05/20 14:26:59  zboczuch
- typo

Revision 1.1  2004/05/20 14:22:42  zboczuch
- initial
